activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Geer (Created) (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMQ-3812) activemq-core won't deploy in Karaf, missing fusesource imports
Date Fri, 20 Apr 2012 04:23:37 GMT
activemq-core won't deploy in Karaf, missing fusesource imports
---------------------------------------------------------------

                 Key: AMQ-3812
                 URL: https://issues.apache.org/jira/browse/AMQ-3812
             Project: ActiveMQ
          Issue Type: Bug
    Affects Versions: 5.6.0
            Reporter: Chris Geer


When trying to deploy 5.6-SNAPSHOT into Karaf/SMX activemq-core won't resolve due to missing
imports. 

org.fusesource.hawtbuf;version="[1.9,2)",
org.fusesource.mq.leveldb,
org.fusesource.mqtt.client,
org.fusesource.mqtt.codec



java.lang.Exception: Could not start bundle mvn:org.apache.activemq/activemq-core/5.6-SNAPSHOT
in feature(s) activemq-5.6-SNAPSHOT, activemq-1.0-SNAPSHOT: Unresolved constraint in bundle
org.apache.activemq.activemq-core [71]: Unable to resolve 71.0: missing requirement [71.0]
package; (&(package=org.fusesource.hawtbuf)(version>=1.9.0)(!(version>=2.0.0)))
	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:353)[27:org.apache.karaf.features.core:2.2.4]
	at org.apache.karaf.features.internal.FeaturesServiceImpl$1.run(FeaturesServiceImpl.java:975)[27:org.apache.karaf.features.core:2.2.4]
Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.activemq.activemq-core
[71]: Unable to resolve 71.0: missing requirement [71.0] package; (&(package=org.fusesource.hawtbuf)(version>=1.9.0)(!(version>=2.0.0)))
	at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3446)[org.apache.felix.framework-3.0.9.jar:]
	at org.apache.felix.framework.Felix.startBundle(Felix.java:1734)[org.apache.felix.framework-3.0.9.jar:]
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:918)[org.apache.felix.framework-3.0.9.jar:]
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905)[org.apache.felix.framework-3.0.9.jar:]
	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:350)[27:org.apache.karaf.features.core:2.2.4]
	... 1 more


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message